Name:		SL_yum-cron_no_automated_apply_updates
Version:	1.0
Release:	1%{?dist}
Summary:	Configure yum-cron to not automatically apply updates

Group:		SL
License:	GPL
URL:		www.scientificlinux.org

BuildArch: noarch

Requires(post):	coreutils policycoreutils
Requires(post):	yum-cron >= 3.4.3
Requires(post):	augeas >= 1.1.0

%description
By default yum-cron will send a notification and apply updates.
This rpm will modify yum-cron to send a notification and not apply updates.

%files
%defattr(-,root,root,-)
%doc

%post -p /bin/bash
TMPFILE=$(mktemp)
cat > $TMPFILE <<YUMCRONCONF

set /files/etc/yum/yum-cron.conf/commands/apply_updates no
set /files/etc/yum/yum-cron.conf/commands/update_message yes
set /files/etc/yum/yum-cron.conf/commands/download_updates yes

YUMCRONCONF

augtool -b -s -f $TMPFILE >/dev/null 2>&1
rm -f $TMPFILE >/dev/null 2>&1
restorecon /etc/yum/yum-cron.conf >/dev/null 2>&1

%preun -p /bin/bash
# if this is an uninstall only (not an upgrade)
if [[ $1 -eq 0 ]]; then
    TMPFILE=$(mktemp)
cat > $TMPFILE <<YUMCRONCONF

set /files/etc/yum/yum-cron.conf/commands/apply_updates yes

YUMCRONCONF

    augtool -b -s -f $TMPFILE >/dev/null 2>&1
    rm -f $TMPFILE >/dev/null 2>&1
    restorecon /etc/yum/yum-cron.conf >/dev/null 2>&1
fi

%changelog
* Mon Jul 14 2014 Pat Riehecky <riehecky@fnal.gov> - 1.0-1.sl7
- Initial build for SL7
